/*------------------------------------*\
  #Footer
\*------------------------------------*/
footer {
	position: fixed;
	width: 100%;
	height: $footerHeight;
	bottom: 0;
	left: 0;
	text-align: center;
	z-index: 3;
	background-color: $main_color;
	display: flex;
	justify-content: space-around;
	> div {
		display: flex;
		align-items: center;
	}
	.ess-icon {
		display: block;
		width: 45px;
		height: 50px;
		&.footer-login {
			background-size: 480%;
			background-position: 0 37%;
		}
		&.footer-logout {
			background-size: 480%;
			background-position: 100% 78.5%;
		}
		&.footer-follow {
			background-size: 480%;
			background-position: 0 58%;
		}
		&.footer-bag {
			background-size: 480%;
			background-position: 0 78.5%;
			color: $main_color;
			line-height: 65px;
			font-size: 13px;
		}
		&.footer-faq {
			background-size: 480%;
			background-position: 0 100%;
		}
	}
}

.footerFaqMenu {
	position: fixed;
	width: 100vw;
	height: 0;
	left: 0;
	top: 100vh;
	z-index: 2;
	background-color: #fff;
	overflow: hidden;
	transition: all .5s ease-in-out;
}
.faqOpened {
	.footerFaqMenu {
		top: $allHeaderHeight;
		height: calc(100vh - #{$allHeaderHeight} - #{$footerHeight});
		overflow: auto;
	}
}

.footerSocial {
	background-color: $light_gray;
	position: fixed;
	width: 100vw;
	bottom: -100%;
	left: 0;
	transition: bottom .5s ease-in-out;
	&.opened {
		bottom: $footerHeight;	
	}
	li {
		padding: 0 45px;
		border-bottom: solid 1px $main_color;
	}
	.ess-icon {
		vertical-align: middle;
		// margin-right: 5px;
		background-size: 580%;
	}
	a {
		display: block;
		line-height: 40px;
		font-size: 12px;
		&.footer-fb {
			.ess-icon {
				background-position: 26% 77.5%;
			}
		}
		&.footer-ig {
			.ess-icon {
				background-position: 51% 77.5%;
			}
		}
		&.footer-line {
			.ess-icon {
				background-position: 26% 98%;
			}
		}
	}
}
